Overview

Update list of map fields

Update list of map fields.

In the body of the API request that you send to this endpoint, specify a list of field names:

  • Fields you haven’t previously defined as map fields but include in the list become map fields.
  • Fields you have previously defined as map fields and include in the list remain map fields.
  • Fields you have previously defined as map fields but exclude from the list are removed.
PUT/v2/datasets/{dataset_id}/mapfields
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Request body: application/json. A list of map field names

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
dataset_idstring · pathrequired
(path)
Responses
200A list of map field names
Example input
curl -X PUT 'https://api.axiom.co/v2/datasets/{dataset_id}/mapfields' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  "field1",
  "field2"
]

Updated

Was this page helpful?